DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# FeatureDimension

Measure the object's dimensions

## SYNOPSIS

`#include "dip_measurement.h"`

dip_int dip_FeatureDimensionID ( void )

## FUNCTION

`dip_FeatureDimensionID` returns the ID value of this measurement function, that is registered by `Initialise`.

This function meaaures the length of an object along the principal axes of the label image (e.g. the length object along the X, Y & Z axes).

## SEE ALSO

`Measure`, `FeatureSize`, `FeatureCenter`, `FeatureGravity`, `FeatureMean`, `FeatureStdDev`, `FeatureMaximum`, `FeatureMinimum`, `FeatureMaxVal`, `FeatureMinVal`, `FeaturePerimeter`, `FeatureSurfaceArea`, `FeatureFeret`, `FeatureMass`, `FeatureInertia`

DIPlib on-line documentation | Function reference | Global function index